{{define "budget-new"}}
    <div id="newbudgetmodal" class="modal fade">
        <div class="modal-dialog" role="document">
            <script>        
                $(document).ready(function () {
                    $('#errorcreatingbudget').hide();
                    $('#newbudgetform').ajaxForm({
                        error: function() {
                            $('#errorcreatingbudget').show();
                        }
                    }); 
                }); 
            </script>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">New Budget</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="newbudgetform" action="/api/v1/budget/new" method="POST">
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" name="name" class="form-control" placeholder="Name" />
                        </div>

                        <div id="errorcreatingbudget">
                            Error creating budget.
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <input type="submit" class="btn btn-primary" value="Create" class="form-control" />
                    </div>
                </form>
            </div>
        </div>
    </div>
{{end}}