package postgres

import "database/sql"

// Repository represents a PostgreSQL implementation of all ModelServices
type Repository struct {
	DB       *Queries
	LegacyDB *sql.DB
}

func NewRepository(queries *Queries, db *sql.DB) (*Repository, error) {
	repo := &Repository{
		DB:       queries,
		LegacyDB: db,
	}
	return repo, nil
}
