{{define "base"}}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
	    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

	    <link href="/static/css/bootstrap.min.css" rel="stylesheet" />
	    <link href="/static/css/bootstrap-theme.min.css" rel="stylesheet" />
	    <link href="/static/css/main.css" rel="stylesheet" />

	    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> 
	    <script src="https://malsup.github.io/jquery.form.js"></script> 

	    <script src="/static/js/bootstrap.min.js"></script> 
	    <script src="/static/js/main.js"></script> 
        <title>{{template "title" .}} - Budgeteer</title>

        {{block "more-head" .}}{{end}}
    </head>
    <body>
        <div class="container" id="head">
            {{template "title" .}}
        </div>
        <div class="container col-lg-12" id="content">
                {{template "main" .}}
        </div>
        {{block "new" .}}{{end}}
    </body>
</html>
{{end}}